Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » Memory Analyzer (MAT) » Error launching Memory Analyzer
Error launching Memory Analyzer [message #5300] Fri, 03 October 2008 13:52 Go to next message
Claudio Miranda is currently offline Claudio MirandaFriend
Messages: 6
Registered: July 2009
Junior Member
I downloaded MAT 20080905 for linux 32 bits
MemoryAnalyzer-Incubation-0.7.0.20080517-linux.gtk.x86.zip
My system
- Linux 32 bits
- kernel 2.6.22-15-generic
- JDK 6u10 RC or JDK 5 u15


When start MAT, a small dialog is displayed, gray painted (as if it is
freezed), then looking at log (workspace/.metadata/.log) it shows the
stacktraces below.

!SESSION 2008-10-02 22:46:52.707
-----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_10-rc2
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=pt_BR
Command-line arguments: -os linux -ws gtk -arch x86

!ENTRY org.eclipse.ui.workbench 4 0 2008-10-02 22:46:57.475
!MESSAGE Widget disposed too early!
!STACK 0
java.lang.RuntimeException: Widget disposed too early!
at
org.eclipse.ui.internal.WorkbenchPartReference$1.widgetDispo sed(WorkbenchPartReference.java:171)
at
org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListe ner.java:117)
at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java :84)
....
...
!ENTRY org.eclipse.ui.workbench 4 0 2008-10-02 22:46:57.479
!MESSAGE Widget disposed too early!
!STACK 0
java.lang.RuntimeException: Widget disposed too early!
at
org.eclipse.ui.internal.WorkbenchPartReference$1.widgetDispo sed(WorkbenchPartReference.java:171)
at
org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListe ner.java:117)
at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java :84)
at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1158)

...
...
!ENTRY org.eclipse.osgi 4 0 2008-10-02 22:46:57.494
!MESSAGE Application error
!STACK 1
org.eclipse.swt.SWTError: XPCOM error -2147467262
at org.eclipse.swt.browser.Mozilla.error(Mozilla.java:1597)
at org.eclipse.swt.browser.Mozilla.setText(Mozilla.java:1820)
at org.eclipse.swt.browser.Browser.setText(Browser.java:737)
at
org.eclipse.ui.internal.intro.impl.presentations.BrowserIntr oPartImplementation.generateContentForPage(BrowserIntroPartI mplementation.java:252)
at
org.eclipse.ui.internal.intro.impl.presentations.BrowserIntr oPartImplementation.dynamicStandbyStateChanged(BrowserIntroP artImplementation.java:451)
at
org.eclipse.ui.internal.intro.impl.presentations.BrowserIntr oPartImplementation.doStandbyStateChanged(BrowserIntroPartIm plementation.java:658)
at
org.eclipse.ui.internal.intro.impl.model.AbstractIntroPartIm plementation.standbyStateChanged(AbstractIntroPartImplementa tion.java:249)
at
org.eclipse.ui.internal.intro.impl.model.IntroPartPresentati on.standbyStateChanged(IntroPartPresentation.java:443)
at
org.eclipse.ui.intro.config.CustomizableIntroPart.standbySta teChanged(CustomizableIntroPart.java:266)
at
org.eclipse.ui.internal.ViewIntroAdapterPart$2.run(ViewIntro AdapterPart.java:74)


!ENTRY org.eclipse.osgi 2 0 2008-10-02 22:46:57.512
!MESSAGE One or more bundles are not resolved because the following root
constraints are not resolved:
!SUBENTRY 1 org.eclipse.osgi 2 0 2008-10-02 22:46:57.512
!MESSAGE Bundle update@plugins/org.eclipse.mat.jdt_0.7.0.200809051739.jar
was not resolved.
!SUBENTRY 2 org.eclipse.mat.jdt 2 0 2008-10-02 22:46:57.512
!MESSAGE Missing required bundle org.eclipse.jdt.ui_0.0.0.
!SUBENTRY 2 org.eclipse.mat.jdt 2 0 2008-10-02 22:46:57.512
!MESSAGE Missing required bundle org.eclipse.jdt.core_0.0.0.

!ENTRY org.eclipse.osgi 2 0 2008-10-02 22:46:57.514
!MESSAGE The following is a complete list of bundles which are not
resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2008-10-02 22:46:57.514
!MESSAGE Bundle
update@plugins/org.eclipse.core.net.win32.x86_1.0.0.I20080521.jar [8] was
not resolved.
!SUBENTRY 2 org.eclipse.core.net.win32.x86 2 0 2008-10-02 22:46:57.514
!MESSAGE Platform filter did not match: (& (osgi.os=win32) (osgi.arch=x86))
!SUBENTRY 1 org.eclipse.osgi 2 0 2008-10-02 22:46:57.514
!MESSAGE Bundle
update@plugins /org.eclipse.equinox.security.win32.x86_1.0.0.v20080529-1600 .jar
[42] was not resolved.
!SUBENTRY 2 org.eclipse.equinox.security.win32.x86 2 0 2008-10-02
22:46:57.514
!MESSAGE Platform filter did not match: (& (osgi.os=win32) (osgi.arch=x86))
!SUBENTRY 1 org.eclipse.osgi 2 0 2008-10-02 22:46:57.514
!MESSAGE Bundle update@plugins/org.eclipse.mat.jdt_0.7.0.200809051739.jar
[70] was not resolved.
!SUBENTRY 2 org.eclipse.mat.jdt 2 0 2008-10-02 22:46:57.514
!MESSAGE Missing required bundle org.eclipse.jdt.ui_0.0.0.
!SUBENTRY 2 org.eclipse.mat.jdt 2 0 2008-10-02 22:46:57.514
!MESSAGE Missing required bundle org.eclipse.jdt.core_0.0.0.
Re: Error launching Memory Analyzer [message #5359 is a reply to message #5300] Tue, 07 October 2008 09:16 Go to previous messageGo to next message
Erwin Margewitsch is currently offline Erwin MargewitschFriend
Messages: 17
Registered: July 2009
Junior Member
Hi Claudio,

I haven't found a (100%) matching bugreport or a solution. So to encircle
the cause for this behaviour I have some questions to your installation.

Which linux distribution do you use?
Could you check please, if a standard eclipse (version 3.4 or 3.4.1) is
working on your linux machine properly?
And regarding the Memory Analyzer have you unpacked a new zip or have you
updated an older version via the Update Manager?

Could you take a look at the following links and check if the information
there could be applied to your system?
http://www.eclipse.org/swt/faq.php#browserlinux
http://dev.eclipse.org/newslists/news.eclipse.birt/msg16292. html

Kind regards, Erwin
Re: Error launching Memory Analyzer [message #5400 is a reply to message #5359] Tue, 07 October 2008 12:40 Go to previous messageGo to next message
Claudio Miranda is currently offline Claudio MirandaFriend
Messages: 6
Registered: July 2009
Junior Member
> Which linux distribution do you use?

Linux Kubuntu 7.10 (kernel 2.6.22 - 32 bits)

> Could you check please, if a standard eclipse (version 3.4 or 3.4.1) is
> working on your linux machine properly?

I have 3.3 working. I will download 3.4.1 and install.

> And regarding the Memory Analyzer have you unpacked a new zip or
> have you updated an older version via the Update Manager?

I have download a brand new standalone version 20080905 and removed the
previous one, including ~/.java directory and ~/.mozilla/eclipse

What is the meaning of ~/.mozilla/eclipse ?

> Could you take a look at the following links and check if the
> information there could be applied to your system?
> http://www.eclipse.org/swt/faq.php#browserlinux
> http://dev.eclipse.org/newslists/news.eclipse.birt/msg16292. html

I will let you know about any issue related to those pages.

Thanks

Claudio Miranda
Re: Error launching Memory Analyzer [message #5407 is a reply to message #5400] Tue, 07 October 2008 16:09 Go to previous messageGo to next message
Claudio Miranda is currently offline Claudio MirandaFriend
Messages: 6
Registered: July 2009
Junior Member
> Could you take a look at the following links and check if the information
> there could be applied to your system?
> http://www.eclipse.org/swt/faq.php#browserlinux
> http://dev.eclipse.org/newslists/news.eclipse.birt/msg16292. html

I have removed the eclipse 3.3 previously installed and removed
workspace/.metadata and ~/.mozilla/eclipse directories, but eclipse 3.4.1
is unable to start, it displays a grayed dialog box.

XUL runner 1.9 is installed at /usr/lib/xulrunner-1.9b4

At eclipse.ini I have configured
-Dorg.eclipse.swt.browser.XULRunnerPath /usr/lib/xulrunner-1.9b4

Firefox 3.0.3 is a standalone install at /usr/local/firefox

MOZILLA_FIVE_HOME variable is exported to that directory
export MOZILLA_FIVE_HOME=/usr/local/firefox/

At workspace/.metadata/.log it displays

Any tip is really appreciated, thanks.

!ENTRY org.eclipse.ui.workbench 4 0 2008-10-07 13:04:56.125
!MESSAGE Widget disposed too early!
!STACK 0
java.lang.RuntimeException: Widget disposed too early!
at
org.eclipse.ui.internal.WorkbenchPartReference$1.widgetDispo sed(WorkbenchPartReference.java:171)
at
org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListe ner.java:117)
at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java :84)


!ENTRY org.eclipse.osgi 4 0 2008-10-07 13:04:56.151
!MESSAGE Application error
!STACK 1
org.eclipse.swt.SWTError: XPCOM error -2147467262
at org.eclipse.swt.browser.Mozilla.error(Mozilla.java:1638)
at org.eclipse.swt.browser.Mozilla.setText(Mozilla.java:1861)
at org.eclipse.swt.browser.Browser.setText(Browser.java:737)
Re: Error launching Memory Analyzer [message #5412 is a reply to message #5407] Wed, 08 October 2008 09:26 Go to previous messageGo to next message
Erwin Margewitsch is currently offline Erwin MargewitschFriend
Messages: 17
Registered: July 2009
Junior Member
Hi Claudio,

with the data you provided I created a bug report:
https://bugs.eclipse.org/bugs/show_bug.cgi?id=250061
Perhaps you want to add yourself to the cc-list of this bug report.

In the meanwhile I can only offer you the following workaround:
Since eclipse 3.3 works on your platform please install a standard eclipse
3.3 on your platform and then you can upload the memory analyzer via the
Update Manager. The Memory Analyzer is compatible to eclispe 3.3, so this
way you should be able to use Memory Analyzer.

The URL of the update site is:
http://download.eclipse.org/technology/mat/0.7/update-site/

Sorry for any inconvenience...

Erwin
Re: Error launching Memory Analyzer [message #5418 is a reply to message #5412] Wed, 08 October 2008 11:19 Go to previous message
Claudio Miranda is currently offline Claudio MirandaFriend
Messages: 6
Registered: July 2009
Junior Member
Just to let you know, xulrunner-1.9 removal, did the job, it is working
now. Thanks for your time and patience.

Claudio Miranda
Previous Topic:Announcement: IBM DTFJ adapter for Memory Analyzer Tool
Next Topic:Help understanding a heap dump
Goto Forum:
  


Current Time: Mon Dec 22 19:56:43 GMT 2014

Powered by FUDForum. Page generated in 0.01732 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software